Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# ui.hh File Reference

A convenient header file that includes the main user interface elements. More...

`#include <xfc/gtk/dialog.hh>`
`#include <xfc/gtk/box.hh>`

## Detailed Description

A convenient header file that includes the main user interface elements.

This convenient header file includes the header files generally needed by most applications. Note, <xfc/gtk/dialog.hh> includes all the header files in it's inheritance path. These are: <xfc/gtk/window.hh>, <xfc/gtk/bin.hh>, <xfc/gtk/container.hh>, <xfc/gtk/widget.hh>, <xfc/gtk/object.hh> and <xfc/glib/object.hh>.
Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3